require 'active_support/core_ext'
require 'action_view/helpers'

module Bonanza
  module CallLinkHelpers
    include ActionView::Helpers::UrlHelper

    ASTERISK_URL_PATTERN = 'http://pbx.nine.ch/call.php?ext=%{phone_number}'.freeze

    def call_to(number)
      link_to_if number.present?, number, call_to_url(number)
    end

    private

    def call_to_url(phone_number)
      ASTERISK_URL_PATTERN % { phone_number: format_phone_number_url(phone_number) }
    end

    def format_phone_number_url(phone_number)
      (phone_number || '').delete(' ').gsub('+', '00')
    end
  end
end
