require 'active_support/inflector'
require 'action_view/helpers/output_safety_helper'

module Bonanza
  module LinkStrategies
    class Base
      include ActionView::Helpers::OutputSafetyHelper

      attr_reader :entity

      def initialize(entity = nil)
        @entity = entity.to_s
      end

      def app
        self.class.name.demodulize.downcase
      end

      def paths
        {}
      end

      def domain
        case environment.to_s
        when 'development'
          "http://#{app}.dev"
        when 'test'
          "http://#{app}.test"
        when 'staging'
          "https://#{app}-staging.nine.ch"
        when 'production'
          "https://#{app}.nine.ch"
        end
      end

      def url_to(entity, reference = nil)
        raw [domain, paths[entity]].join % { reference: reference }
      end

      def environment
        ENV.fetch('RAILS_ENV', 'production')
      end
    end
  end
end
