module Bonanza
  module LinkStrategies
    class Openshift < Base
      def paths
        {
          :'openshift:project:es34' => '/console/project/%{reference}'
        }
      end

      def domain
        case environment.to_s
        when 'development'
          'http://openshift.dev'
        when 'test'
          'https://openshift.test'
        when 'staging'
          'https://openshift-staging.nine.ch:8443'
        when 'production'
          case entity
          when 'openshift:project:es34'
            'https://openshift.nine.ch:8443'
          else
            'https://aws-openshift.nine.ch:8443'
          end
        end
      end
    end
  end
end
