module Bonanza
  module LinkStrategies
    class Otrs < Base
      def paths
        {
          customer: "/index.pl?Action=AgentCustomerInformationCenter;CustomerID=%{reference}",
          ticket: "/index.pl?Action=AgentTicketZoom;TicketNumber=%{reference}",
        }
      end

      def domain
        case environment.to_s
        when 'development'
          'http://otrs.nine.ch/otrs'
        when 'test'
          'http://otrs.test'
        when 'staging'
          'https://otrs-staging.nine.ch/otrs'
        when 'production'
          'https://otrs.nine.ch/otrs'
        end
      end
    end
  end
end
