require 'active_model'

module Bonanza
  module Validators
    class UrnValidator < ActiveModel::EachValidator
      def validate_each(record, attribute, value)
        return unless value.present? if options[:allow_empty]
        unless InfrastructureClient::Urn.new(value.to_s).valid?
          record.errors.add attribute, :invalid_urn
        end
      end
    end
  end
end
